#
# spec file for package python-pyramid_mako
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyramid_mako
Version:        1.0.2
Release:        5.1
Summary:        Mako template bindings for the Pyramid web framework
License:        SUSE-Repoze
Group:          Development/Languages/Python
Url:            https://github.com/Pylons/pyramid_mako
Source:         https://files.pythonhosted.org/packages/source/p/pyramid_mako/pyramid_mako-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module Mako} >= 0.8
BuildRequires:  %{python_module pyramid}
# Testing requirements
BuildRequires:  %{python_module WebTest} >= 1.3.1
BuildRequires:  %{python_module hupper}
BuildRequires:  %{python_module nose}
# Not yet packaged
BuildRequires:  %{python_module plaster-pastedeploy}
Requires:       python-Mako >= 0.8
Requires:       python-pyramid
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%python_subpackages

%description
pyramid_mako is a set of bindings that makes templates written for the
Mako templating system work under the Pyramid web framework.
Mako is a templating system written by Mike Bayer.

%prep
%setup -q -n pyramid_mako-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%check
# Not done missing plaster-pastedeploy
%python_exec setup.py nosetests

%files %{python_files}
%defattr(-,root,root,-)
%if 0%{?leap_version} >= 420200 || 0%{?suse_version} > 1320
%license LICENSE.txt
%else
%doc LICENSE.txt
%endif
%doc CHANGES.txt CONTRIBUTORS.txt COPYRIGHT.txt
%{python_sitelib}/*

%changelog
* Thu Sep 14 2017 bruno@ioda-net.ch
- Move to singlespec (also documentation)
- Adapt Copyright year
* Tue Feb 14 2017 hpj@urpla.net
- Add BuildRoot to fix build on less forgiving targets
* Mon Jun 13 2016 toddrme2178@gmail.com
- Split documentation into subpackage to speed up build.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Fri Aug 28 2015 bruno@ioda-net.ch
- Add packaging for python3
- Removed unexistant orderreddict deps for build
* Sun Aug  9 2015 hpj@urpla.net
- build and package docs separately
* Mon Jul 13 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Fri Feb  6 2015 hpj@urpla.net
- cleanup dependencies
- allow building with python 2.6 and ancient distributions
* Mon Dec 29 2014 mardnh@gmx.de
- initial package, version 1.0.2
